/*                  Part of x2grbl
 *
 *  Copyright Johann Wilhelm <johann.wilhelm@9mal6.de> 2015
 *
 *  see Readme.md for detailed license and usage information!
*/

#ifndef GRAPHICSPICTUREITEM_H
#define GRAPHICSPICTUREITEM_H

#include <QGraphicsItem>
#include <QPicture>

class GraphicsPictureItem : public QGraphicsItem
{
public:
    explicit GraphicsPictureItem(QPicture Picture_, QGraphicsItem *parent = 0);
    explicit GraphicsPictureItem(QGraphicsItem *parent = 0);

    void setPicture(QPicture Picture_);
    QRectF 	boundingRect () const;
    void 	paint ( QPainter * painter, const QStyleOptionGraphicsItem * option, QWidget * widget = 0 );
    void clear();

signals:
    
public slots:

protected:
    QPicture Picture;
    
};

#endif // GRAPHICSPICTUREITEM_H
