/*                  Part of x2grbl
 *
 *  Copyright Johann Wilhelm <johann.wilhelm@9mal6.de> 2015
 *
 *  see Readme.md for detailed license and usage information!
*/

#ifndef HPGLPARSER_H
#define HPGLPARSER_H

#include <QIODevice>
#include <QList>

#include <QPoint>

#include "gcodeoutputdevice.h"
#include "gcodeparser.h"

class HpglParser
{
public:
    HpglParser();

    bool open(QIODevice &Input);

    void InitParser(GCodeParser &Parser);
protected:

    bool ExecuteCmd(QString Cmd, QString Params);
    void ResetCfg();

    QList<GCode> GCodeListing;

    double dpi;

    bool absolutePlotting;
    bool useJKforArcs;
    bool addRadiusForJKArcs;

    double scalingX;
    double scalingY;

    QPoint scalingPoint1;
    QPoint scalingPoint2;

    int pen;

    int x;
    int y;
    double z;

    double highZ;
    double lowZ;
};

#endif // HPGLPARSER_H
