/*                  Part of x2grbl
 *
 *  Copyright Johann Wilhelm <johann.wilhelm@9mal6.de> 2015
 *
 *  see Readme.md for detailed license and usage information!
*/

#ifndef OUTPUTDEVICEQPICTURE_H
#define OUTPUTDEVICEQPICTURE_H

#include <gcodeoutputdevice.h>
#include <QPicture>
#include <QPainter>
#include <QMap>

class OutputDeviceQPicture : public GCodeOutputDevice
{
public:
    OutputDeviceQPicture(QObject *parent=0);

    virtual bool supported(GCode &Cmd);

    virtual bool Run(GCode &Cmd);
    virtual void Reset();

    virtual QString name();

    QPicture picture();

    double minX;
    double minY;
    double minZ;

    double maxX;
    double maxY;
    double maxZ;

protected:
    QPicture Picture;
    QPainter Painter;


    double x;
    double y;
    double z;

    QMap<int, int> Mills;
    QMap<int, int> Drills;

    double ToolDiameter;
};
#endif // OUTPUTDEVICEQPICTURE_H
